#!/usr/bin/perl

# Example local_scan that prints all the variables to a file
# and then accepts the email

use strict;
use Exim::LocalScan;

sub local_scan {
	my $email_body = shift;

	open OUTF, ">/tmp/local_scan.out";
	print OUTF "local_scan.pl output ->\n\n";
	print OUTF "Sender Address: [$sender_address]\n";
	print OUTF "Interface Address: [$interface_address]\n";
	print OUTF "Interface Port: [$interface_port]\n";
	print OUTF "Recieved Protocol: [$received_protocol]\n";
	print OUTF "Recipients Count: [$recipients_count]\n";
	print OUTF "Sender Host Address: [$sender_host_address]\n";
	print OUTF "Sender Host Authenticated: [$sender_host_authenticated]\n";
	print OUTF "Sender Host Name: [$sender_host_name]\n";
	print OUTF "Sender Host Port: [$sender_host_port]\n";

	print OUTF "Recipients ->\n";
	my $recip;
	foreach $recip ( @recipients_list ){
		print OUTF "\t$recip\n";
	}

	print OUTF "\nHeaders -->\n\n";
	my $header;
	foreach $header ( @header_list ){
		print OUTF "\t$header\n";
	}
	
	print OUTF "\n\nMessage Body ->\n\n$email_body\n";
	print OUTF "\n\nThats all Folks !\n";
	close OUTF;

	return LOCAL_SCAN_ACCEPT;
}

